package domain

type AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo struct {
	/*
	   优惠详情     */
	PeriodInfos *[]AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo `json:"period_infos,omitempty" `

	/*
	   商品     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   门店     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   商家code     */
	MerchantCode *string `json:"merchant_code,omitempty" `
}

func (s *AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo) SetPeriodInfos(v []AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo) *AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo {
	s.PeriodInfos = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo) SetSkuCode(v string) *AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo) SetShopIds(v []string) *AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo {
	s.ShopIds = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo) SetMerchantCode(v string) *AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo {
	s.MerchantCode = &v
	return s
}
